Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.EtchedBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EtchedBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BorderUIResource

public static class BorderUIResource.EtchedBorderUIResource
extends EtchedBorder
implements UIResource

See Also:
  Serialized Form

Fields inherited from class javax.swing.border.EtchedBorder
`etchType, highlight, LOWERED, RAISED, shadow`

Constructor Summary
`BorderUIResource.EtchedBorderUIResource()`
`BorderUIResource.EtchedBorderUIResource(Color highlight, Color shadow)`
`BorderUIResource.EtchedBorderUIResource(int etchType)`
`BorderUIResource.EtchedBorderUIResource(int etchType, Color highlight, Color shadow)`

Methods inherited from class javax.swing.border.EtchedBorder
`getBorderInsets, getBorderInsets, getEtchType, getHighlightColor, getHighlightColor, getShadowColor, getShadowColor, isBorderOpaque, paintBorder`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource()

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(Color highlight,
                                                   Color shadow)

### BorderUIResource.EtchedBorderUIResource

    public BorderUIResource.EtchedBorderUIResource(int etchType,
                                                   Color highlight,
                                                   Color shadow)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.